Értesítési kezelők
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális String | A keresési kifejezés. |
| search_by | Opcionális String | Milyen mező alapján keres? Engedélyezett értékek: name. |
| is_enabled | Opcionális Logikai | |
| type | Opcionális String | Milyen mező alapján keres? Engedélyezett értékek: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionális String | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális String | Szűrje az eredményeket ettől a dátumtól és időponttól kezdve. Formátum: Y-m-d H:i:s. |
| datetime_end | Opcionális String | Szűrje az eredményeket eddig a dátumig és időpontig. Formátum: Y-m-d H:i:s. |
| order_by | Opcionális String | Milyen mező szerint szeretné rendezni az eredményeket? Engedélyezett értékek: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionális String | Az eredmények sorrendje. Megengedett értékek: ASC növekvő sorrendhez, és DESC csökkenő sorrendhez. |
| search | Opcionális String | A keresési kifejezés. |
| search_by | Opcionális String | Milyen mező alapján keres? Engedélyezett értékek: name. |
| is_enabled | Opcionális Logikai | |
| type | Opcionális String | Milyen mező alapján keres? Engedélyezett értékek: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionális String | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális String | Szűrje az eredményeket ettől a dátumtól és időponttól kezdve. Formátum: Y-m-d H:i:s. |
| datetime_end | Opcionális String | Szűrje az eredményeket eddig a dátumig és időpontig. Formátum: Y-m-d H:i:s. |
| order_by | Opcionális String | Milyen mező szerint szeretné rendezni az eredményeket? Engedélyezett értékek: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionális String | Az eredmények sorrendje. Megengedett értékek: ASC növekvő sorrendhez, és DESC csökkenő sorrendhez. |
| page | Opcionális Egész szám | A lap szám, amelyből az eredményeket szeretné. Alapértelmezés szerint 1. |
| results_per_page | Opcionális Egész szám | Hány találatot szeretne oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:41",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:41",
}
}
POST https://tistos.com/api/notification-handlers
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Kötelező String | - |
| type | Kötelező String | Engedélyezett értékek: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionális String | Elérhető, amikor: type = email E-mail | |
| webhook | Opcionális String | Elérhető, amikor: type = webhook Webhook URL |
| slack | Opcionális String | Elérhető, amikor: type = slack Slack webhook URL |
| discord | Opcionális String | Elérhető, amikor: type = discord Discord webhook URL |
| telegram | Opcionális String | Elérhető, amikor: type = telegram Telegram API token |
| telegram_chat_id | Opcionális String | Elérhető, amikor: type = telegram Telegram csevegésazonosító |
| microsoft_teams | Opcionális String | Elérhető, amikor: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionális String | Elérhető, amikor: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_consumer_secret | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_access_token | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_access_token_secret | Opcionális String | Elérhető, amikor: type = x Telegram API token |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Opcionális String | - |
| type | Opcionális String | Engedélyezett értékek: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionális String | Elérhető, amikor: type = email E-mail | |
| webhook | Opcionális String | Elérhető, amikor: type = webhook Webhook URL |
| slack | Opcionális String | Elérhető, amikor: type = slack Slack webhook URL |
| discord | Opcionális String | Elérhető, amikor: type = discord Discord webhook URL |
| telegram | Opcionális String | Elérhető, amikor: type = telegram Telegram API token |
| telegram_chat_id | Opcionális String | Elérhető, amikor: type = telegram Telegram csevegésazonosító |
| microsoft_teams | Opcionális String | Elérhető, amikor: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionális String | Elérhető, amikor: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_consumer_secret | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_access_token | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| x_access_token_secret | Opcionális String | Elérhető, amikor: type = x Telegram API token |
| is_enabled | Opcionális Logikai | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \